Bug 863463 - generated configure script breaks for path containing spaces [NEEDINFO]
generated configure script breaks for path containing spaces
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: autoconf (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 10:10 EDT by Abhay
Modified: 2013-12-16 06:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 06:08:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
praiskup: needinfo? (abhaykadam88)


Attachments (Terms of Use)
the log of configure script (7.27 KB, text/x-log)
2012-10-05 10:10 EDT, Abhay
no flags Details

  None (edit)
Description Abhay 2012-10-05 10:10:43 EDT
Created attachment 622238 [details]
the log of configure script

Description of problem:
I was trying to run a ./configure script in my source folder located at /run/media/abhay/New Volume/abhay/progs/autotools/tut_prog. The script exits saying,

checking whether we are cross compiling... configure: error: in `/run/media/abhay/New Volume/abhay/progs/autotools/tut_prog':

But when i try to run the same script upon copying the source code at location /home/abhay/tut_prog it works fine.


Version-Release number of selected component (if applicable):
$ rpm -qa autoconf
autoconf-2.69-3.fc18.noarch


How reproducible:
always


Steps to Reproduce:
1. create a source code in folder whose descendant name contains space
2. run autoconf
3. run configure script 
  
Actual results:
$ sh configure

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... configure: error: in `/run/media/abhay/New Volume/abhay/progs/autotools/tut_prog':
configure: error: cannot run C compiled programs.
If you meant to cross compile, use `--host'.
See `config.log' for more details



Expected results:
The script should run successfully without any error


Additional info:
attaching the confige.log
Comment 1 Pavel Raiskup 2013-01-08 10:28:30 EST
(In reply to comment #0)
> Created attachment 622238 [details]
> the log of configure script
>
> Description of problem:
> I was trying to run a ./configure script in my source folder located at
> /run/media/abhay/New Volume/abhay/progs/autotools/tut_prog. The script exits
> saying,
> 
> checking whether we are cross compiling... configure: error: in
> `/run/media/abhay/New Volume/abhay/progs/autotools/tut_prog':
> 
> But when i try to run the same script upon copying the source code at
> location /home/abhay/tut_prog it works fine.

According to 'error.log' it seems like permission problem, not a 'white-space'
related one.

Look at these lines:

   95 configure:2783: checking whether we are cross compiling
   96 configure:2791: gcc -o conftest    conftest.c  >&5
   97 configure:2795: $? = 0
   98 configure:2802: ./conftest
   99 configure: line 2804: ./conftest: Permission denied
  100 configure:2806: $? = 126

Could you observe details please?  Seems like this is some weird file system
setting (considering that in your home directory it just works).

I have the same symptoms when I set some weird umask, like:

  $ umask 0113

Thanks,
Pavel

Note You need to log in before you can comment on or make changes to this bug.